zabbix_export:
  version: '6.0'
  date: '2026-05-13T09:18:21Z'
  groups:
    - uuid: f2481361f99448eea617b7b1d4765566
      name: 'Discovered hosts'
    - uuid: 76b0fa668c1c4016896eb9bc1bfde44a
      name: 'Virtual Machines'
  templates:
    - uuid: 884342e8cc8b452b971cad32d2879c4c
      template: IQ-APICULUS_DISCOVERED_VM
      name: IQ-APICULUS_DISCOVERED_VM
      groups:
        - name: 'Discovered hosts'
        - name: 'Virtual Machines'
      items:
        - uuid: d6a60f7e9a5b4ab3a4babe21ef3a01e9
          name: 'CPU Utilization'
          type: DEPENDENT
          key: cpuUtilization
          delay: '0'
          history: 30d
          value_type: FLOAT
          units: '%'
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.cpuUtilization
          master_item:
            key: vmstats
        - uuid: cda67064129e4de08dc6a0be6daca46d
          name: 'Disk Read IOs'
          type: DEPENDENT
          key: diskReadIOs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.diskReadIOs
          master_item:
            key: vmstats
        - uuid: 08123bae5d6a41a1a0ce93f8a6251ac7
          name: 'Disk Read Bytes'
          type: DEPENDENT
          key: diskReadKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.diskReadKBs
          master_item:
            key: vmstats
        - uuid: f99f660c7a934363878074af4479104c
          name: 'Disk WriteIOs'
          type: DEPENDENT
          key: diskWriteIOs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.diskWriteIOs
          master_item:
            key: vmstats
        - uuid: fd4e7bad10b5413a8c402700fa45c23f
          name: 'Disk Write Bytes'
          type: DEPENDENT
          key: diskWriteKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.diskWriteKBs
          master_item:
            key: vmstats
        - uuid: f1000d0ae7d04416aaa5163c6cdd0111
          name: 'VM Type'
          type: DEPENDENT
          key: entityType
          delay: '0'
          history: 30d
          trends: '0'
          value_type: CHAR
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.entityType
          master_item:
            key: vmstats
        - uuid: 18ec711ccab0469f9e2329a81dc49f24
          name: 'Free Memory'
          type: DEPENDENT
          key: intFreeMemoryKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.intFreeMemoryKBs
          master_item:
            key: vmstats
        - uuid: 9b9912ca18104fd587a80c44712a415b
          name: 'Total Memory'
          type: DEPENDENT
          key: memoryKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.memoryKBs
          master_item:
            key: vmstats
        - uuid: 49a4e51f9eb44b67adaba1b7810b6029
          name: 'Network Read'
          type: DEPENDENT
          key: networkReadKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.networkReadKBs
          master_item:
            key: vmstats
        - uuid: e50928743e07403684f6989518c1b984
          name: 'Network Write'
          type: DEPENDENT
          key: networkWriteKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.networkWriteKBs
          master_item:
            key: vmstats
        - uuid: b186bab8af7c46a2868674ba5ea48a79
          name: 'CPU Count'
          type: DEPENDENT
          key: numCPUs
          delay: '0'
          history: 30d
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.numCPUs
          master_item:
            key: vmstats
        - uuid: f8b3857e787949a5954ee4ab68ee87c2
          name: 'Backward Compatibility Check'
          type: DEPENDENT
          key: 'system.cpu.util[,idle-delete]'
          delay: '0'
          history: 30d
          value_type: FLOAT
          master_item:
            key: cpuUtilization
        - uuid: 4435d8f76ef4450a93aa9469b9101128
          name: 'Target Memory'
          type: DEPENDENT
          key: targetMemoryKBs
          delay: '0'
          history: 30d
          value_type: FLOAT
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.targetMemoryKBs
          master_item:
            key: vmstats
        - uuid: 3c72f94420b84cd9b6fb5a20b93db96f
          name: 'Used Memory'
          type: CALCULATED
          key: usedMemoryKBs
          delay: 2m
          history: 30d
          params: last(//memoryKBs)-last(//intFreeMemoryKBs)
        - uuid: b1cf5cdfad554bd8b88fe3cd002f31e7
          name: 'Used Memory Percentage'
          type: CALCULATED
          key: usedMemoryPercentage
          delay: 2m
          history: 30d
          value_type: FLOAT
          units: '%'
          params: 'last(//usedMemoryKBs)/last(//memoryKBs)*100'
        - uuid: 508ff7a3da8c468b9ea00f5245429fc4
          name: 'ACS VM ID'
          type: DEPENDENT
          key: vmId
          delay: '0'
          history: 30d
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.vmId
          master_item:
            key: vmstats
        - uuid: 1ecabd2478f54e32adeed90fa62fc020
          name: VMStats
          type: TRAP
          key: vmstats
          delay: '0'
          history: 1h
          trends: '0'
          value_type: CHAR
          allowed_hosts: 127.0.0.1
      tags:
        - tag: TemplateType
          value: ApiculusDiscovery
